
Foreman - Bug #1363

Report with a failed catalog compile is not a failed report (Patch provided)

11/30/2011 08:49 AM - Raffael Schmid

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Reporting   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When we wanted to use the failed_report_email_notification option, we discovered that reports which come from a failed catalog run

are not considered as failed.

This wrong assumption happens in ReportCommon.error? which searches only for failed action inside the report (service start failed

for example).

I added a patch and sent it to the mailinglist: https://groups.google.com/group/foreman-dev/browse_thread/thread/fce80bcc18bc1226

It just adds a check for severity of the loglines inside the report.

History

#1 - 01/05/2012 11:26 AM - Raffael Schmid

please close, this was caused by the puppet client version which was smaller than 2.6.5

#2 - 01/05/2012 01:55 PM - Ohad Levy

- Status changed from New to Resolved
